<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\Kurse;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;


abstract class KursRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportKurse(), array(
      'is_header' => $this->viewModel->isHeader
    ));
  }
}